package com.viettel.campaign.service;

import com.viettel.campaign.web.dto.CampaignCompleteCodeDTO;
import com.viettel.campaign.web.dto.ResultDTO;

import java.util.List;
import java.util.Map;

public interface CampaignCompleteCodeService {

    Map listAllCompleteCode(int page, int pageSize, String sort);

    Map listCompleteCodeByName(int page, int pageSize, String sort, String name);

    ResultDTO createCompleteCode(CampaignCompleteCodeDTO completeCodeDTO);

    ResultDTO updateCompleteCode(CampaignCompleteCodeDTO completeCodeDTO);

    ResultDTO deleteCompleteCode(CampaignCompleteCodeDTO completeCodeDTO);

    ResultDTO deleteList(List<Long> completeCodeDtos);

}
